server:
  port: 9030
  servlet:
    context-path: /api

spel:
  scheduling: false
  multiSource: false

spring:
  jpa:
    hibernate:
      ddl-auto: none
    open-in-view: false

eiam:
  baseUrl: ${EIAM_BASE_URL:https://eiam-developerapi.cn-hangzhou.aliyuncs.com}
  instanceId: ${EIAM_INSTANCE_ID:}
  applicationId: ${EIAM_APPLICATION_ID:}
  clientId: ${EIAM_CLIENT_ID:}
  clientSecret: ${EIAM_CLIENT_SECRET:}

aliwork:
  appType: ${ALIWORK_APP_TYPE:APP_MQP6UV1H5S5BDOU68TQD}
  systemToken: ${ALIWORK_SYSTEM_TOKEN:}

dingtalk:
  appKey: ${DINGTALK_APP_KEY:}
  appSecret: ${DINGTALK_APP_SECRET:}

benteler:
  yida:
    onboardingFormUuid: FORM-3794DBD2C83E42C5863853A80A3C0ACB5K6Q
    onboardingTableFieldId: tableField_mrcw2nqc
    onboardingOrganizationalUnitIdFieldId: selectField_mrmyvzrt_id
    onboardingNameFieldId: textField_mrcw2nqz
    onboardingPhoneFieldId: numberField_mrcw2nqe
    onboardingEmailFieldId: textField_mrcw2nr0
    onboardingDescriptionFieldId: textField_mrcw2nr1
    onboardingEmployeeNumberFieldId: textField_mrcw2nqd
    onboardingJobTitleFieldId: selectField_mrn4cg3s
    onboardingManagerFieldId: employeeField_mrcw2nqy
    onboardingFactoryFieldId: selectField_motg7pxc
    onboardingCompanyFieldId: selectField_mrcw2nqw
    onboardingCompanyCodeFieldId: textField_mrn4cg3r
    onboardingDepartmentFieldId: textField_mrncpnxi
    updateFormUuid: FORM-37575577023F4ADE90685238D6A86D14908Y
    updateTableFieldId: tableField_mrcw2nqc
    updateEmployeeFieldId: employeeField_mrcxpt3g
    updateDescriptionFieldId: textField_mrcw2nr1
    updateOrganizationalUnitIdFieldId: selectField_mrmyvzrt_id
    updateContentFieldId: checkboxField_mrsmvthc
    updatePhoneFieldId: textField_mrt7u3hp
    updateEmployeeNumberFieldId: textField_mrofclv5
    updateJobTitleFieldId: selectField_mrn4cg3s
    offboardingFormUuid: FORM-3D8B56B5A9EE45738A03D4DB6C1D22E16Z5T
    offboardingTableFieldId: tableField_mrcxjcq5
    offboardingEmployeeFieldId: employeeField_mrcxgkq0
    offboardingRemarkFieldId: textField_mrcxjcq6
    detailStatusFieldId: selectField_mrcxjcq8
    failureMessageFieldId: textareaField_mrn3kh8m
    totalFieldId: numberField_mrcxjcq9
    successFieldId: numberField_mrcxjcqe
    failedFieldId: numberField_mrcxjcqf

mjava:
  auth:
    enabled: false
